Skip to main content
POST
/
core.v1.DesktopService
/
ListUserDevices
cURL
curl -X POST "https://api.joinformal.com/core.v1.DesktopService/ListUserDevices" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "example": "value"
  }'
{
  "devices": [
    {
      "deviceId": "<string>",
      "version": "<string>",
      "ipAddress": "<string>",
      "transparentProxyEnabled": true,
      "hardwareInfo": {
        "modelName": "<string>",
        "modelIdentifier": "<string>",
        "modelNumber": "<string>",
        "serialNumber": "<string>",
        "hardwareUuid": "<string>",
        "provisioningUdid": "<string>",
        "activationLockStatus": "<string>"
      },
      "softwareInfo": {
        "systemVersion": "<string>",
        "kernelVersion": "<string>",
        "computerName": "<string>",
        "userName": "<string>"
      },
      "lastSeenAt": "2023-11-07T05:31:56Z"
    }
  ],
  "listMetadata": {
    "after": "<string>",
    "before": "<string>",
    "count": 123,
    "nextCursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.formal.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

API key authentication. Get your API key from the Formal console.

Body

application/json
userId
string
Minimum string length: 1
limit
integer<int32>
Required range: x <= 100
cursor
string

Response

Success

devices
DesktopDevice · object[]
listMetadata
list_metadata · object